Bug 1006986 - NoHostAvailableException: All host(s) tried for query failed
NoHostAvailableException: All host(s) tried for query failed
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.2
Unspecified Unspecified
urgent Severity urgent
: GA
: ---
Assigned To: Deon Ballard
Mike Foley
Deon Ballard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 12:17 EDT by Heiko W. Rupp
Modified: 2014-05-09 23:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 23:42:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-09-11 12:17:05 EDT
Users trying to install a fresh 4.8 / 4.9 fail with

> NoHostAvailableException: All host(s) tried for query failed 

We need make that work (automatically) and document what needs to be done or
how users can get going if the automatic setup fails
Comment 1 Heiko W. Rupp 2013-09-11 12:19:58 EDT
See e.g. https://community.jboss.org/thread/230190?start=0&tstart=0
Comment 2 Mike Thompson 2013-09-13 15:55:54 EDT
Further instigation (and some assistance with jsanda) was able to determine that this is an environment issue not a code issue. 

My /etc/hosts file (on OS/X) did not have an entry mapping ip to localhost:
192.168.1.X  localhost

After adding this entry, the installation proceeded without fail.

I have recreated the failing condition and then fix it using the /etc/hosts entry for ip --> localhost.
Comment 3 Heiko W. Rupp 2013-09-13 16:00:21 EDT
Mike and John, can you better explain what happened, what is the right setup (and perhaps add something to the installer to help users get this set up correctly)?

Perhaps improve the NoHostAvailableException to give some helpful text or a link to the docs at least

And then work with Deon to document this?
Comment 4 Mike Foley 2013-09-13 18:27:27 EDT
changing this to a doc bug.  

no code change.  and QE has tested install many times.
Comment 5 Mike Thompson 2013-09-16 16:55:13 EDT
(In reply to Mike Thompson from comment #2)
> Further instigation (and some assistance with jsanda) was able to determine
> that this is an environment issue not a code issue. 
> 
> My /etc/hosts file (on OS/X) did not have an entry mapping ip to localhost:
> 192.168.1.X  localhost
> 
> After adding this entry, the installation proceeded without fail.
> 
> I have recreated the failing condition and then fix it using the /etc/hosts
> entry for ip --> localhost.

More specifically, it looks like this happens if there is no DNS entry for the ip address. So you must provide the DNS either in DNS or in /etc/hosts.
Comment 6 Heiko W. Rupp 2013-09-24 14:48:13 EDT
This is related to Bug 1010265 (probably even a dup)
Comment 7 Simeon Pinder 2013-09-30 09:36:49 EDT
Moving into ER3 as didn't make it into ER2.
Comment 8 Heiko W. Rupp 2013-10-04 03:54:43 EDT
Remove the blocker on beta and set it to GA, as it is a docs task and the implementation has been taken care of in Bug 1010265
Comment 9 Deon Ballard 2014-05-09 23:42:58 EDT
Mass closure of bugs modified in 2013. All of these are in the currently-published docs.

Note You need to log in before you can comment on or make changes to this bug.